
set( wibtools_VERSION 0.03.11 )
set( wibtools_UPS_VERSION v0_03_11 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_boost( v1_70_0 )
find_ups_product( cetpkgsupport v1_14_01 )
set(TOOLEXCEPTION "$ENV{WIBTOOLS_LIB}/libToolException.so")
set(WIB "$ENV{WIBTOOLS_LIB}/libWIB.so")
set(MBB "$ENV{WIBTOOLS_LIB}/libMBB.so")
set(WIBTOOL_HELPERS "$ENV{WIBTOOLS_LIB}/libWIBTool_Helpers.so")
set(WIBTOOL_STATUSDISPLAY "$ENV{WIBTOOLS_LIB}/libWIBTool_StatusDisplay.so")
set(WIBTOOL "$ENV{WIBTOOLS_LIB}/libWIBTool.so")
set(WIBTOOL_MBBDEVICE "$ENV{WIBTOOLS_LIB}/libWIBTool_MBBDevice.so")
set(WIBTOOL_WIBDEVICE "$ENV{WIBTOOLS_LIB}/libWIBTool_WIBDevice.so")
  include_directories ( "$ENV{WIBTOOLS_INC}" )

check_required_components(wibtools)

